Bug 124628 - wget missing large file support
Summary: wget missing large file support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: wget   
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-05-28 01:19 UTC by Don Buchholz
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 14:37:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2005:455 normal SHIPPED_LIVE Updated wget package 2005-05-18 04:00:00 UTC

Description Don Buchholz 2004-05-28 01:19:22 UTC
Description of problem:
wget cannot handle large files


Version-Release number of selected component (if applicable):
wget-1.8.2-15.i386.rpm


How reproducible:
always

Steps to Reproduce:
1.  wget -c ftp://limestone.uoregon.edu/fedora/2/i386/iso/FC2-i386-DVD.iso

2.  .... wait ....


  
Actual results:
Get message about file being too large ....

Expected results:
I expected to get a complete, 4370640896 byte, ISO image.

Additional info:
See also bug #122746 (curl doesn't have large file support).

Comment 1 Robert Scheck 2004-05-28 08:13:41 UTC
Maybe the patch above solves it (RHEL has IIRC 1.8.x), but that patch 
doesn't work in 1.9 :-(

http://www.alobbs.com/cherokee/wget-cvs_LFS.diff

Comment 2 Karsten Hopp 2004-05-28 09:40:07 UTC
The wget maintainer is aware of this and already works on a new 
version with large file support.  

Comment 14 Tim Powers 2005-05-18 14:37:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-455.html



Note You need to log in before you can comment on or make changes to this bug.